package com.zd.laboratory.service.impl;

import java.util.List;
import com.zd.common.core.utils.DateUtils;
import com.zd.common.security.utils.SaveUtil;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zd.laboratory.mapper.LabExitLineJoinMapper;
import com.zd.laboratory.domain.LabExitLineJoin;
import com.zd.laboratory.service.ILabExitLineJoinService;

/**
 * 逃生线路关联实验室和指示灯Service业务层处理
 * 
 * @author zd
 * @date 2022-01-25
 */
@Service
public class LabExitLineJoinServiceImpl implements ILabExitLineJoinService 
{
    @Autowired
    private LabExitLineJoinMapper labExitLineJoinMapper;

    /**
     * 查询逃生线路关联实验室和指示灯
     * 
     * @param id 逃生线路关联实验室和指示灯主键
     * @return 逃生线路关联实验室和指示灯
     */
    @Override
    public LabExitLineJoin selectLabExitLineJoinById(Long id)
    {
        return labExitLineJoinMapper.selectLabExitLineJoinById(id);
    }

    /**
     * 查询逃生线路关联实验室和指示灯列表
     * 
     * @param labExitLineJoin 逃生线路关联实验室和指示灯
     * @return 逃生线路关联实验室和指示灯
     */
    @Override
    public List<LabExitLineJoin> selectLabExitLineJoinList(LabExitLineJoin labExitLineJoin)
    {
        return labExitLineJoinMapper.selectLabExitLineJoinList(labExitLineJoin);
    }

    /**
     * 新增逃生线路关联实验室和指示灯
     * 
     * @param labExitLineJoin 逃生线路关联实验室和指示灯
     * @return 结果
     */
    @Override
    public int insertLabExitLineJoin(LabExitLineJoin labExitLineJoin)
    {
        //设置其他公共字段
        SaveUtil.setCommonAttr(labExitLineJoin);
        return labExitLineJoinMapper.insertLabExitLineJoin(labExitLineJoin);
    }

    /**
     * 修改逃生线路关联实验室和指示灯
     * 
     * @param labExitLineJoin 逃生线路关联实验室和指示灯
     * @return 结果
     */
    @Override
    public int updateLabExitLineJoin(LabExitLineJoin labExitLineJoin)
    {
        return labExitLineJoinMapper.updateLabExitLineJoin(labExitLineJoin);
    }

    /**
     * 批量删除逃生线路关联实验室和指示灯
     * 
     * @param ids 需要删除的逃生线路关联实验室和指示灯主键
     * @return 结果
     */
    @Override
    public int deleteLabExitLineJoinByIds(Long[] ids)
    {
        return labExitLineJoinMapper.deleteLabExitLineJoinByIds(ids);
    }

    /**
     * 删除逃生线路关联实验室和指示灯信息
     * 
     * @param id 逃生线路关联实验室和指示灯主键
     * @return 结果
     */
    @Override
    public int deleteLabExitLineJoinById(Long id)
    {
        return labExitLineJoinMapper.deleteLabExitLineJoinById(id);
    }
}
